package com.dev.swms.server.service.fee;
import java.util.Date;
import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;

import com.dev.energy.server.service.BaseManager;
import com.dev.swms.server.model.fee.ApplyBill;
@Transactional(readOnly=false)
public interface ApplyBillManager  extends BaseManager{
	
	/**保存开票信息*/
	@Transactional
	void saveApplyBill(ApplyBill applyBill);
	
	/**删除开票信息*/
	@Transactional
	void deleteApplyBill(List<Long> ids);
	
	/**添加开票单明细(对账单)*/
	@Transactional
	void addApplyBillDetail(Long bid, List<Long> ids);
	
	/**移除开票单明细(对账单)*/
	@Transactional
	void removeApplyBillDetail(Long bid, List<Long> ids);
 }


